Package org.apache.storm.messaging.netty

## Enum ControlMessage

- java.lang.Object
- - java.lang.Enum<ControlMessage>
  - - org.apache.storm.messaging.netty.ControlMessage

- All Implemented Interfaces:
    `Serializable`, `Comparable<ControlMessage>`, `INettySerializable`

      public enum ControlMessage
      extends Enum<ControlMessage>
      implements INettySerializable

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CLOSE_MESSAGE` |
    `EOB_MESSAGE` |
    `FAILURE_RESPONSE` |
    `OK_RESPONSE` |
    `SASL_COMPLETE_REQUEST` |
    `SASL_TOKEN_MESSAGE_REQUEST` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `encodeLength()` |
    `static ControlMessage` | `mkMessage​(short encoded)` | Create message.
    `static ControlMessage` | `read​(byte[] serial)` |
    `static ControlMessage` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ControlMessage[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.
    `void` | `write​(org.apache.storm.shade.io.netty.buffer.ByteBuf buf)` | Serialize this object to ByteBuf.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLOSE_MESSAGE

          public static final ControlMessage CLOSE_MESSAGE

    - #### EOB_MESSAGE

          public static final ControlMessage EOB_MESSAGE

    - #### OK_RESPONSE

          public static final ControlMessage OK_RESPONSE

    - #### FAILURE_RESPONSE

          public static final ControlMessage FAILURE_RESPONSE

    - #### SASL_TOKEN_MESSAGE_REQUEST

          public static final ControlMessage SASL_TOKEN_MESSAGE_REQUEST

    - #### SASL_COMPLETE_REQUEST

          public static final ControlMessage SASL_COMPLETE_REQUEST

  - ### Method Detail

    - #### values

          public static ControlMessage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ControlMessage c : ControlMessage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ControlMessage valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### mkMessage

          public static ControlMessage mkMessage​(short encoded)

      Create message.
      Parameters:
        `encoded` - status code
      Returns:
        a control message per an encoded status code

    - #### read

          public static ControlMessage read​(byte[] serial)

    - #### encodeLength

          public int encodeLength()

      Specified by:
        `encodeLength` in interface `INettySerializable`

    - #### write

          public void write​(org.apache.storm.shade.io.netty.buffer.ByteBuf buf)

      Description copied from interface: `INettySerializable`
      Serialize this object to ByteBuf.
      Specified by:
        `write` in interface `INettySerializable`
      Parameters:
        `buf` - The ByteBuf to serialize to